<?php

namespace Naiz\NaizFitSizeForm\Helper;

class Data extends \Magento\Framework\App\Helper\AbstractHelper
{

    protected $_scopeConfig;

    CONST PARTNER_KEY = 'settings/general/hash';
    CONST API_ENDPOINT = 'settings/general/endpoint';
    
    public function __construct(
        \Magento\Framework\App\Helper\Context $context,
        \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig
    ) {
        parent::__construct($context);

        $this->_scopeConfig = $scopeConfig;
    }

    public function getPartnerKey(){
        return $this->_scopeConfig->getValue(self::PARTNER_KEY);
    }
    public function getApiEndpoint(){
        return $this->_scopeConfig->getValue(self::API_ENDPOINT);
    }

}