<?php
namespace Naiz\NaizFitSizeForm\Plugin;
use Magento\Sales\Model\OrderFactory;

class SuccessPlugin {

  protected $orderFactory;

  public function __construct(
      OrderFactory $orderFactory
  ) {
      $this->orderFactory = $orderFactory;
  }

  public function afterAddData(
      \Magento\Checkout\Block\Onepage\Success $subject
  ){
      $orderIncrementId = $subject->getData('order_id');
      $order = $this->orderFactory->create()->loadByIncrementId($orderIncrementId);
      $subject->setData('current_order',$order);
  }
}